org.kie.api.runtime.manager

## Interface RuntimeEnvironment

-     public interface RuntimeEnvironment

  Definition of the runtime environment that will be used by instance of `RuntimeManager`. `RuntimeEnvironment` delivers all information to the runtime manager to be able to properly configure and bootstrap the manager and then runtime engine instances.
  It shall be considered as template of the configuration used by the manager that is read only and shall not be changed once `RuntimeManager` has been created.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the environment allowing to close all depending components such as ksession factories, etc
    `ClassLoader` | `getClassLoader()`
    `KieSessionConfiguration` | `getConfiguration()`
    `Environment` | `getEnvironment()`
    `KieBase` | `getKieBase()`
    `RegisterableItemsFactory` | `getRegisterableItemsFactory()`
    `UserGroupCallback` | `getUserGroupCallback()`
    `UserInfo` | `getUserInfo()`
    `boolean` | `usePersistence()`

- - ### Method Detail

    - #### getKieBase

          KieBase getKieBase()

      Returns:
        `KieBase` that shall be used by the manager

    - #### getEnvironment

          Environment getEnvironment()

      Returns:
        environment that shall be used to create instances of `KieSession`

    - #### getConfiguration

          KieSessionConfiguration getConfiguration()

      Returns:
        KieSession configuration that shall be used to create instances of `KieSession`

    - #### usePersistence

          boolean usePersistence()

      Returns:
        indicates if persistence shall be used for the KieSession instances

    - #### getRegisterableItemsFactory

          RegisterableItemsFactory getRegisterableItemsFactory()

      Returns:
        concrete implementation of `RegisterableItemsFactory` to obtain handlers and listeners that shall be registered on instances of `KieSession`

    - #### getUserGroupCallback

          UserGroupCallback getUserGroupCallback()

      Returns:
        concrete implementation of `UserGroupCallback` that shall be registered on instances of `TaskService` for managing users and groups.

    - #### getUserInfo

          UserInfo getUserInfo()

      Returns:
        concrete implementation of `UserInfo` that shall be registered on instances of `TaskService` for managing user info.

    - #### getClassLoader

          ClassLoader getClassLoader()

      Returns:
        custom class loader that shall be used by the process engine and task service instances

    - #### close

          void close()

      Closes the environment allowing to close all depending components such as ksession factories, etc

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.